Subject: bug#8969: improve synchronization between examples in the manual and test cases

From: Stefano Lattarini <[email-masked]>
Date: Fri, 1 Jul 2011 10:10:43 +0200

On Friday 01 July 2011, Stefano Lattarini wrote:
> On Friday 01 July 2011, Stefano Lattarini wrote:
> > I'll soon post a patch that improves the synchronization between
> > some examples from the manual and some test cases.  In the process
> > of writing it, I've noticed that various non-trivial examples from
> > the manual are not tested; and while I've remedied to part of this
> > problem with my patch, a lot remains to be done; so I'm opening
> > this bug to avoid forgetting about the issue.
> > 
> And here it is the promised patch.  I will push in 72 hours if there
> is no objection by then.
> 
Oops, one of the "amhello" tests has an unecessary requirement (copy &
paste blunder).  Consider the following squashed in:

  diff --git a/tests/amhello-binpkg.test b/tests/amhello-binpkg.test
  index 8da3495..47add73 100755
  --- a/tests/amhello-binpkg.test
  +++ b/tests/amhello-binpkg.test
  @@ -17,7 +17,6 @@
   # Document an example from the manual about the `amhello' package:
   # using DESDIR to build simple, no-frills binary packages.
   
  -required=i586-mingw32msvc-gcc
   . ./defs || Exit 1
   
   set -e